Bug 467420 - (mingw32-gtk2) Review Request: mingw32-gtk2 - MinGW Windows Gtk2 library
Review Request: mingw32-gtk2 - MinGW Windows Gtk2 library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-iconv mingw32-libpng mingw32-gettext mingw32-libjpeg mingw32-glib2 mingw32-jasper mingw32-atk mingw32-cairo mingw32-pango
Blocks: mingw32-gtk-vnc
  Show dependency treegraph
 
Reported: 2008-10-17 07:39 EDT by Richard W.M. Jones
Modified: 2009-03-23 11:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.15.0-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 12:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Levente Farkas 2008-11-01 09:14:50 EDT
please apply:

diff -up ./mingw32-gtk2.spec.lfarkas ./mingw32-gtk2.spec
--- ./mingw32-gtk2.spec.lfarkas	2008-11-01 14:13:22.000000000 +0100
+++ ./mingw32-gtk2.spec	2008-11-01 14:14:14.000000000 +0100
@@ -4,6 +4,8 @@
 %define __find_requires %{_mingw32_findrequires}
 %define __find_provides %{_mingw32_findprovides}
 
+%define glib2_version 2.6.0
+
 Name:           mingw32-gtk2
 Version:        2.14.4
 Release:        3%{?dist}
@@ -38,11 +40,11 @@ BuildRequires:  pkgconfig
 # Native one for msgfmt
 BuildRequires:  gettext
 # Native one for glib-genmarsjal
-BuildRequires:  glib2-devel
+BuildRequires:  glib2-devel >= %{glib2_version}
 # Native one for gtk-update-icon-cache
-BuildRequires:  gtk2
+BuildRequires:  gtk2 >= %{version}
 # Native one for gdk-pixbuf-csource
-BuildRequires:  gtk2-devel
+BuildRequires:  gtk2-devel >= %{version}
 
 
 %description
Comment 3 Richard W.M. Jones 2008-11-03 05:47:47 EST
(In reply to comment #2)

Please see my comments:
https://bugzilla.redhat.com/show_bug.cgi?id=467409#c2
https://bugzilla.redhat.com/show_bug.cgi?id=467402#c2
Comment 5 Richard W.M. Jones 2009-01-25 08:18:14 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/gtk2/mingw32-gtk2.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-gtk2-2.15.0-1.fc11.src.rpm

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-1
- Rebase to Fedora native version 2.15.0.
- Disable static libraries.
- Use _smp_mflags.
- Use find_lang macro.
Comment 6 Richard W.M. Jones 2009-02-06 10:21:14 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/raw-file/tip/gtk2/mingw32-gtk2.spec
SRPM URL: http://www.annexia.org/tmp/mingw32-gtk2-2.15.0-3.fc11.src.rpm

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.15.0-3
- Remove documentation.
- Add license file.
- Added extra BRs suggested by auto-buildrequires.
Comment 7 Michel Alexandre Salim 2009-02-09 10:49:38 EST
MUST:

? rpmlint: .defs marked executable
I went back to my mingw23-libgcrypt review:
  https://bugzilla.redhat.com/show_bug.cgi?id=467403

and it looks like you ended up removing the *.def files altogether. That definitely fixes rpmlint, and I just tried rebuilding gtk-vnc after removing mingw32-gtk2's *.defs, so MinGW does not need those *.def files, but wouldn't someone trying to compile against libgcrypt on Windows need them?

What I don't know is whether they absolutely must have +x permissions. I'm guessing that chmod -x'ing them should be safe, after all, they are just header files. Should they be readded to libgcrypt?


+ package name
+ spec file name
+ package guideline-compliant
+ license complies with guidelines
+ license field accurate
+ license file not deleted
+ spec in US English
+ spec legible
+ source matches upstream
+ builds under >= 1 archs, others excluded
+ build dependencies complete
+ locales handled using %find_lang, no %{_datadir}/locale

N/A library -> ldconfig
N/A relocatable: give reason

+ own all directories
+ no dupes in %files
+ permission
+ %clean RPM_BUILD_ROOT
+ macros used consistently
+ Package contains code

N/A large docs => -doc
N/A doc not runtime dependent

N/A headers in -devel
N/A static in -static

+   if contains *.pc, req pkgconfig
N/A if libfiles are suffixed, the non-suffixed goes to devel
N/A devel requires versioned base package

N/A desktop file uses desktop-file-install
+   clean buildroot before install
+   filenames UTF-8

SHOULD
-   desc and summary contain translations if available
?   package build in mock on all architectures
    Not tested -- not all dependencies in Fedora yet, thus no Koji
+   package functioned as described
+   scriplets are sane
N/A other subpackages should require versioned base
+   if main pkg is development-wise, pkgconfig can go in main package
+   require package not files
Comment 8 Richard W.M. Jones 2009-02-09 11:05:45 EST
I don't even know enough to speculate about *.def files,
so I raised a question on the mailing list:

http://lists.fedoraproject.org/pipermail/fedora-mingw/2009-February/000437.html

Thanks for the review.  I will raise a CVS request next.
Comment 9 Richard W.M. Jones 2009-02-09 11:07:42 EST
New Package CVS Request
=======================
Package Name: mingw32-gtk2
Short Description: MinGW Windows Gtk2 library
Owners: rjones berrange
Branches: EL-5 F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-02-10 17:21:17 EST
cvs done.
Comment 11 Richard W.M. Jones 2009-02-11 04:46:38 EST
Imported into CVS but not built yet because of
dependencies on mingw32-pango, mingw32-jasper.
Comment 12 Michel Alexandre Salim 2009-03-13 15:05:13 EDT
jasper and pango are now done, so this should probably get built soon.
Comment 13 Richard W.M. Jones 2009-03-13 15:16:05 EDT
I'm building them ... It's complicated by the fact that some
of the dependencies don't build correctly.
Comment 14 Michal Nowak 2009-03-18 09:32:24 EDT
This looks here http://koji.fedoraproject.org/koji/buildinfo?buildID=94068 to be built for Rawhide but I am unable to reach it from my box.
Comment 15 Richard W.M. Jones 2009-03-18 09:44:00 EDT
This is NOT built for F10 yet, and nor is gtk-vnc.  The bug
will be closed automatically by Bodhi when the time comes.
Comment 16 Fedora Update System 2009-03-18 12:26:31 EDT
mingw32-gtk2-2.15.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gtk2-2.15.0-3.fc10
Comment 17 Fedora Update System 2009-03-23 11:56:55 EDT
mingw32-gtk2-2.15.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.